Package org.eclipse.ecf.remoteservice.client

## Class RemoteServiceClientRegistry

- java.lang.Object
- - org.eclipse.ecf.remoteservice.client.RemoteServiceClientRegistry

All Implemented Interfaces:
  `Serializable`

    public class RemoteServiceClientRegistry
    extends Object
    implements Serializable

A remote service registry for client remote services.

Since:
  4.0
See Also:
  Serialized Form

### Constructor Summary

Constructors
`RemoteServiceClientRegistry​(AbstractClientContainer container)`

### Method Summary

All Methods Instance Methods Concrete Methods
`IRemoteServiceReference` `findServiceReference​(IRemoteServiceID serviceID)`
`RemoteServiceClientRegistration` `findServiceRegistration​(RemoteServiceClientReference reference)`
`IRemoteServiceReference[]` `getAllRemoteServiceReferences​(String clazz, IRemoteFilter remoteFilter)`
`String[]` `getClazzes​(IRemoteServiceReference reference)`
`ID` `getContainerId()`
`long` `getNextServiceId()`
`IRemoteServiceID` `getRemoteServiceID​(ID containerID, long containerRelativeID)`
`IRemoteServiceReference[]` `getRemoteServiceReferences​(ID[] idFilter, String clazz, IRemoteFilter remoteFilter)`
`IRemoteServiceReference[]` `getRemoteServiceReferences​(ID target, String clazz, IRemoteFilter remoteFilter)`
`IRemoteServiceReference[]` `getRemoteServiceReferences​(ID target, ID[] idFilter, String clazz, IRemoteFilter filter)`
`void` `registerRegistration​(RemoteServiceClientRegistration registration)`
`void` `unregisterRegistration​(RemoteServiceClientRegistration registration)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RemoteServiceClientRegistry

    public RemoteServiceClientRegistry​(AbstractClientContainer container)

### Method Detail

#### getNextServiceId

    public long getNextServiceId()

#### getContainerId

    public ID getContainerId()

#### registerRegistration

    public void registerRegistration​(RemoteServiceClientRegistration registration)

#### unregisterRegistration

    public void unregisterRegistration​(RemoteServiceClientRegistration registration)

#### findServiceReference

    public IRemoteServiceReference findServiceReference​(IRemoteServiceID serviceID)

#### findServiceRegistration

    public RemoteServiceClientRegistration findServiceRegistration​(RemoteServiceClientReference reference)

#### getRemoteServiceReferences

    public IRemoteServiceReference[] getRemoteServiceReferences​(ID target,
                                                                String clazz,
                                                                IRemoteFilter remoteFilter)
                                                         throws ContainerConnectException

Throws:
  `ContainerConnectException`

#### getRemoteServiceReferences

    public IRemoteServiceReference[] getRemoteServiceReferences​(ID target,
                                                                ID[] idFilter,
                                                                String clazz,
                                                                IRemoteFilter filter)
                                                         throws ContainerConnectException

Parameters:
  `target` - target
  `idFilter` - id filter
  `clazz` - the interface class to use for lookup
  `filter` - a remote service filter to use to look for remote service references
Returns:
  IRemoteServiceReference[] remote service references matching the given input params
Throws:
  `ContainerConnectException` - if container cannot be connected
Since:
  5.0

#### getRemoteServiceReferences

    public IRemoteServiceReference[] getRemoteServiceReferences​(ID[] idFilter,
                                                                String clazz,
                                                                IRemoteFilter remoteFilter)

#### getRemoteServiceID

    public IRemoteServiceID getRemoteServiceID​(ID containerID,
                                               long containerRelativeID)

#### getClazzes

    public String[] getClazzes​(IRemoteServiceReference reference)

#### getAllRemoteServiceReferences

    public IRemoteServiceReference[] getAllRemoteServiceReferences​(String clazz,
                                                                   IRemoteFilter remoteFilter)